package com.caimei365.user.model.po;

import lombok.Data;

/**
 * Description
 *
 * @author : hzg
 * @date : 2024/1/19
 */
@Data
public class CmBehaviorInfoPo {
    private Integer id;
    /**
     * 操作对象 1 机构 2 协销 3 客服 4 系统
     */
    private Integer operateObject;
    /**
     * 机构Id
     */
    private Integer clubId;
    /**
     * 协销Id
     */
    private Integer spId;
    /**
     * 1:日常访问; 2:推送访问（站内信）; 3: 推送访问（短信）; 4: 推送访问（微信模板消息）:
     * 5: 下单; 6: 收藏商品; 7: 加购物车; 8: 内容库访问; 9: 咨询记录，10: 分配协销
     */
    private Integer type;
    /**
     * 页面类型
     */
    private String pageType;
    /**
     * 标签
     */
    private String label;
    /**
     * 页面路径
     */
    private String pagePath;
    /**
     * 商品Id
     */
    private String productId;
    /**
     * 子订单Id, 多个使用逗号隔开
     */
    private String shopOrderId;
    /**
     * 分配人
     */
    private String allocation;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 删除标记 0未删除 1已删除
     */
    private Integer delFlag;
}
